# Uses of Class
org.eclipse.rap.fileupload.FileUploadReceiver

Packages that use FileUploadReceiver
Package
Description
org.eclipse.rap.fileupload

## Uses of FileUploadReceiver in org.eclipse.rap.fileupload

Subclasses of FileUploadReceiver in org.eclipse.rap.fileupload
Modifier and Type
Class
Description
`class`
`DiskFileUploadReceiver`
A file upload receiver that stores received files on disk.
Methods in org.eclipse.rap.fileupload that return FileUploadReceiver
Modifier and Type
Method
Description
`FileUploadReceiver`
FileUploadHandler.`getReceiver()`
Returns the file upload receiver that is associated with this file upload handler.
Constructors in org.eclipse.rap.fileupload with parameters of type FileUploadReceiver
Modifier
Constructor
Description
``
`FileUploadHandler(FileUploadReceiver receiver)`
Constructs a file upload handler that is associated with the given receiver.